Problems installing DESeq2 in Rstudio / ubuntu

Hello everyone, I wanted to ask for help to install DESeq2 in Rtudio since after installing Biocmanager, when I install DESeq2, 12 error messages appear at the end in the installation and when I load the library it does not exist, I do not know how to solve this error since I am beginner using R I hope you can help me.

checking for sed... /bin/sed
checking for pkg-config... /usr/bin/pkg-config
checking for xml2-config... no
Cannot find xml2-config
ERROR: configuration failed for package ‘XML’

  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/XML’
    ERROR: dependencies ‘curl’, ‘openssl’ are not available for package ‘httr’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/httr’
    ERROR: dependency ‘RCurl’ is not available for package ‘GenomeInfoDb’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/GenomeInfoDb’
    ERROR: dependencies ‘XML’, ‘httr’ are not available for package ‘annotate’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/annotate’
    ERROR: dependency ‘GenomeInfoDb’ is not available for package ‘GenomicRanges’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/GenomicRanges’
    ERROR: dependencies ‘GenomicRanges’, ‘GenomeInfoDb’ are not available for package ‘SummarizedExperiment’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/SummarizedExperiment’
    ERROR: dependency ‘annotate’ is not available for package ‘genefilter’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/genefilter’
    ERROR: dependency ‘annotate’ is not available for package ‘geneplotter’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/geneplotter’
    ERROR: dependencies ‘GenomicRanges’, ‘SummarizedExperiment’, ‘genefilter’, ‘geneplotter’ are not available for package ‘DESeq2’
  • removing ‘/home/oscar/R/x86_64-pc-linux-gnu-library/4.0/DESeq2’

The downloaded source packages are in
‘/tmp/RtmpchmxBl/downloaded_packages’
There were 12 warnings (use warnings() to see them)

library(DESeq2)
Error in library(DESeq2) : there is no package called ‘DESeq2’

You seem to be missing a system dependency, try installing this library from a terminal.

sudo apt install libxml2-dev

Thank you, it helped me a lot, greetings